### Interface

# Ide TemplateProvider

#### Description

    interface Ide.TemplateProvider : GObject.Object

No description available.

#### Prerequisite

In order to implement TemplateProvider, your type must inherit from `GObject`.

#### Instance methods

###### ide_template_provider_get_project_templates

Gets a list of templates for this provider.

Available since: 3.32

#### Interface structure

    struct IdeTemplateProviderInterface {
      GTypeInterface parent_iface;
      GList* (* get_project_templates) (
        IdeTemplateProvider* self
      );

    }

###### Interface members

`parent_iface` |
    GTypeInterface
| No description available.
`get_project_templates` |
    GList* (* get_project_templates) (
        IdeTemplateProvider* self
      )
| No description available.

#### Virtual methods

###### Ide.TemplateProvider.get_project_templates

Gets a list of templates for this provider.